Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417120 - [RFE] Add Insights notification emails to Satellite
Summary: [RFE] Add Insights notification emails to Satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Adam Price
QA Contact: Patrik Segedy
URL:
Whiteboard:
Depends On: 1403979
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 09:35 UTC by Satellite Program
Modified: 2019-04-01 20:27 UTC (History)
8 users (show)

Fixed In Version: rubygem-foreman-redhat_access-2.0.13
Doc Type: Enhancement
Doc Text:
Clone Of: 1403979
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Lindani Phiri 2017-05-09 18:24:32 UTC
6.3 package available.

Comment 4 Patrik Segedy 2017-10-16 15:02:48 UTC
Steps to verify:

satellite-6.3.0-20.0.beta.el7sat.noarch
tfm-rubygem-foreman-redhat_access-2.0.8-1.el7sat.noarch
tfm-rubygem-redhat_access_lib-1.1.0-1.el7sat.noarch

1. Create a new user in satellite (without RHN account)
2. Subscribe the user to Insights notifications
3. Register a host
4. Register the host to insights following https://access.redhat.com/products/red-hat-insights#satellite6
5. Trigger the insights sending using rake console:

 ForemanTasks.sync_task(Actions::Insights::EmailPoller)

# foreman-rake console
Loading production environment (Rails 4.2.6)
Failed to load console gems, starting anyway
irb(main):001:0> ForemanTasks.sync_task(Actions::Insights::EmailPoller)
=> #<ForemanTasks::Task::DynflowTask id: "ee576f6a-1b7d-49cd-814c-bf66ab93a181", type: "ForemanTasks::Task::DynflowTask", label: "Actions::Insights::EmailPoller", started_at: "2017-10-16 14:44:50", ended_at: "2017-10-16 14:44:51", state: "stopped", result: "success", external_id: "6482072b-a728-4d4c-afc3-e8afeaa57990", parent_task_id: nil, start_at: "2017-10-16 14:44:50", start_before: nil>

6. Task is created and result is success, but no e-mail was received

FailedQA

Comment 5 Lindani Phiri 2017-10-17 13:29:34 UTC
You are likely running into :
https://bugzilla.redhat.com/show_bug.cgi?id=1492569

Did you verify that the user can receive test emails? Were there errors reported in the log?

Comment 6 Patrik Segedy 2017-10-18 07:34:32 UTC
Hi Lindani,

You are right, I'm running into bug 1492569
Yes, test email was received and I don't see any errors reported in production.log. Which other log should I check for errors? Thanks.

Comment 10 Lindani Phiri 2018-01-16 19:15:47 UTC
This BZ requires both the fix to https://bugzilla.redhat.com/show_bug.cgi?id=1417069 and an updated Insights gem (rubygem-foreman-redhat_access-2.0.13)

Comment 11 Patrik Segedy 2018-01-24 16:00:47 UTC
Verified in snap 6.3.0_33
tfm-rubygem-redhat_access_lib-1.1.4-1.el7sat.noarch
tfm-rubygem-foreman-redhat_access-2.0.13-1.el7sat.noarch

1. Subscribe user to Insights notifications
3. Register a host
3. Register the host to insights following https://access.redhat.com/products/red-hat-insights#satellite6
4. Trigger the insights email sending using rake console:

 ForemanTasks.sync_task(Actions::Insights::EmailPoller)

irb(main):001:0> ForemanTasks.sync_task(Actions::Insights::EmailPoller)
=> #<ForemanTasks::Task::DynflowTask id: "5a80e8b5-7256-480c-af0b-b61c9f1620fc", type: "ForemanTasks::Task::DynflowTask", label: "Actions::Insights::EmailPoller", started_at: "2018-01-24 15:53:17", ended_at: "2018-01-24 15:53:20", state: "stopped", result: "success", external_id: "d5ef7628-2c4f-4500-8637-1f348d60ab87", parent_task_id: nil, start_at: "2018-01-24 15:53:17", start_before: nil>


5. Result of the task is 'success' and I received the e-mail.

VERIFIED

Comment 12 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.